## UDisksDriveLSM

UDisksDriveLSM — Generated C code for the org.freedesktop.UDisks2.Drive.LSM D-Bus interface

## Functions

void | udisks_drive_lsm_proxy_new ()
UDisksDriveLSM * | udisks_drive_lsm_proxy_new_finish ()
UDisksDriveLSM * | udisks_drive_lsm_proxy_new_sync ()
void | udisks_drive_lsm_proxy_new_for_bus ()
UDisksDriveLSM * | udisks_drive_lsm_proxy_new_for_bus_finish ()
UDisksDriveLSM * | udisks_drive_lsm_proxy_new_for_bus_sync ()
gboolean | udisks_drive_lsm_get_is_ok ()
void | udisks_drive_lsm_set_is_ok ()
gboolean | udisks_drive_lsm_get_is_raid_degraded ()
void | udisks_drive_lsm_set_is_raid_degraded ()
gboolean | udisks_drive_lsm_get_is_raid_error ()
void | udisks_drive_lsm_set_is_raid_error ()
gboolean | udisks_drive_lsm_get_is_raid_reconstructing ()
void | udisks_drive_lsm_set_is_raid_reconstructing ()
gboolean | udisks_drive_lsm_get_is_raid_verifying ()
void | udisks_drive_lsm_set_is_raid_verifying ()
guint | udisks_drive_lsm_get_min_io_size ()
void | udisks_drive_lsm_set_min_io_size ()
guint | udisks_drive_lsm_get_opt_io_size ()
void | udisks_drive_lsm_set_opt_io_size ()
guint | udisks_drive_lsm_get_raid_disk_count ()
void | udisks_drive_lsm_set_raid_disk_count ()
const gchar * | udisks_drive_lsm_get_raid_type ()
gchar * | udisks_drive_lsm_dup_raid_type ()
void | udisks_drive_lsm_set_raid_type ()
const gchar * | udisks_drive_lsm_get_status_info ()
gchar * | udisks_drive_lsm_dup_status_info ()
void | udisks_drive_lsm_set_status_info ()
UDisksDriveLSM * | udisks_drive_lsm_skeleton_new ()

## Types and Values

| UDisksDriveLSM
struct | UDisksDriveLSMProxy
struct | UDisksDriveLSMProxyClass
struct | UDisksDriveLSMSkeleton
struct | UDisksDriveLSMSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksDriveLSM

## Prerequisites

UDisksDriveLSM requires GObject.

## Description

This section contains code for working with the org.freedesktop.UDisks2.Drive.LSM D-Bus interface in C.

## Functions

### udisks_drive_lsm_proxy_new ()

    void
    udisks_drive_lsm_proxy_new (GDBusConnection *connection,
                                GDBusProxyFlags flags,
                                const gchar *name,
                                const gchar *object_path,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Drive.LSM. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_lsm_proxy_new_finish()` to get the result of the operation.

See `udisks_drive_lsm_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.3.0

### udisks_drive_lsm_proxy_new_finish ()

    UDisksDriveLSM *
    udisks_drive_lsm_proxy_new_finish (GAsyncResult *res,
                                       GError **error);

Finishes an operation started with `udisks_drive_lsm_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_lsm_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksDriveLSMProxy]

Since: 2.3.0

### udisks_drive_lsm_proxy_new_sync ()

    UDisksDriveLSM *
    udisks_drive_lsm_proxy_new_sync (GDBusConnection *connection,
                                     GDBusProxyFlags flags,
                                     const gchar *name,
                                     const gchar *object_path,
                                     GCancellable *cancellable,
                                     GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Drive.LSM. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_drive_lsm_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksDriveLSMProxy]

Since: 2.3.0

### udisks_drive_lsm_proxy_new_for_bus ()

    void
    udisks_drive_lsm_proxy_new_for_bus (GBusType bus_type,
                                        GDBusProxyFlags flags,
                                        const gchar *name,
                                        const gchar *object_path,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Like `udisks_drive_lsm_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_drive_lsm_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_drive_lsm_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.3.0

### udisks_drive_lsm_proxy_new_for_bus_finish ()

    UDisksDriveLSM *
    udisks_drive_lsm_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_drive_lsm_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_drive_lsm_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksDriveLSMProxy]

Since: 2.3.0

### udisks_drive_lsm_proxy_new_for_bus_sync ()

    UDisksDriveLSM *
    udisks_drive_lsm_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_drive_lsm_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_drive_lsm_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksDriveLSMProxy]

Since: 2.3.0

### udisks_drive_lsm_get_is_ok ()

    gboolean
    udisks_drive_lsm_get_is_ok (UDisksDriveLSM *object);

Gets the value of the "IsOK" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |

#### Returns

The property value.

Since: 2.3.0

### udisks_drive_lsm_set_is_ok ()

    void
    udisks_drive_lsm_set_is_ok (UDisksDriveLSM *object,
                                gboolean value);

Sets the "IsOK" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |
value | The value to set. |

Since: 2.3.0

### udisks_drive_lsm_get_is_raid_degraded ()

    gboolean
    udisks_drive_lsm_get_is_raid_degraded (UDisksDriveLSM *object);

Gets the value of the "IsRaidDegraded" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |

#### Returns

The property value.

Since: 2.3.0

### udisks_drive_lsm_set_is_raid_degraded ()

    void
    udisks_drive_lsm_set_is_raid_degraded (UDisksDriveLSM *object,
                                           gboolean value);

Sets the "IsRaidDegraded" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |
value | The value to set. |

Since: 2.3.0

### udisks_drive_lsm_get_is_raid_error ()

    gboolean
    udisks_drive_lsm_get_is_raid_error (UDisksDriveLSM *object);

Gets the value of the "IsRaidError" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |

#### Returns

The property value.

Since: 2.3.0

### udisks_drive_lsm_set_is_raid_error ()

    void
    udisks_drive_lsm_set_is_raid_error (UDisksDriveLSM *object,
                                        gboolean value);

Sets the "IsRaidError" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |
value | The value to set. |

Since: 2.3.0

### udisks_drive_lsm_get_is_raid_reconstructing ()

    gboolean
    udisks_drive_lsm_get_is_raid_reconstructing
                                   (UDisksDriveLSM *object);

Gets the value of the "IsRaidReconstructing" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |

#### Returns

The property value.

Since: 2.3.0

### udisks_drive_lsm_set_is_raid_reconstructing ()

    void
    udisks_drive_lsm_set_is_raid_reconstructing
                                   (UDisksDriveLSM *object,
                                    gboolean value);

Sets the "IsRaidReconstructing" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |
value | The value to set. |

Since: 2.3.0

### udisks_drive_lsm_get_is_raid_verifying ()

    gboolean
    udisks_drive_lsm_get_is_raid_verifying
                                   (UDisksDriveLSM *object);

Gets the value of the "IsRaidVerifying" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |

#### Returns

The property value.

Since: 2.3.0

### udisks_drive_lsm_set_is_raid_verifying ()

    void
    udisks_drive_lsm_set_is_raid_verifying
                                   (UDisksDriveLSM *object,
                                    gboolean value);

Sets the "IsRaidVerifying" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |
value | The value to set. |

Since: 2.3.0

### udisks_drive_lsm_get_min_io_size ()

    guint
    udisks_drive_lsm_get_min_io_size (UDisksDriveLSM *object);

Gets the value of the "MinIoSize" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |

#### Returns

The property value.

Since: 2.3.0

### udisks_drive_lsm_set_min_io_size ()

    void
    udisks_drive_lsm_set_min_io_size (UDisksDriveLSM *object,
                                      guint value);

Sets the "MinIoSize" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |
value | The value to set. |

Since: 2.3.0

### udisks_drive_lsm_get_opt_io_size ()

    guint
    udisks_drive_lsm_get_opt_io_size (UDisksDriveLSM *object);

Gets the value of the "OptIoSize" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |

#### Returns

The property value.

Since: 2.3.0

### udisks_drive_lsm_set_opt_io_size ()

    void
    udisks_drive_lsm_set_opt_io_size (UDisksDriveLSM *object,
                                      guint value);

Sets the "OptIoSize" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |
value | The value to set. |

Since: 2.3.0

### udisks_drive_lsm_get_raid_disk_count ()

    guint
    udisks_drive_lsm_get_raid_disk_count (UDisksDriveLSM *object);

Gets the value of the "RaidDiskCount" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |

#### Returns

The property value.

Since: 2.3.0

### udisks_drive_lsm_set_raid_disk_count ()

    void
    udisks_drive_lsm_set_raid_disk_count (UDisksDriveLSM *object,
                                          guint value);

Sets the "RaidDiskCount" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |
value | The value to set. |

Since: 2.3.0

### udisks_drive_lsm_get_raid_type ()

    const gchar *
    udisks_drive_lsm_get_raid_type (UDisksDriveLSM *object);

Gets the value of the "RaidType" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_drive_lsm_dup_raid_type()` if on another thread.

[skip]

#### Parameters

object | A UDisksDriveLSM. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.3.0

### udisks_drive_lsm_dup_raid_type ()

    gchar *
    udisks_drive_lsm_dup_raid_type (UDisksDriveLSM *object);

Gets a copy of the "RaidType" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.3.0

### udisks_drive_lsm_set_raid_type ()

    void
    udisks_drive_lsm_set_raid_type (UDisksDriveLSM *object,
                                    const gchar *value);

Sets the "RaidType" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |
value | The value to set. |

Since: 2.3.0

### udisks_drive_lsm_get_status_info ()

    const gchar *
    udisks_drive_lsm_get_status_info (UDisksDriveLSM *object);

Gets the value of the "StatusInfo" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_drive_lsm_dup_status_info()` if on another thread.

[skip]

#### Parameters

object | A UDisksDriveLSM. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.3.0

### udisks_drive_lsm_dup_status_info ()

    gchar *
    udisks_drive_lsm_dup_status_info (UDisksDriveLSM *object);

Gets a copy of the "StatusInfo" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.3.0

### udisks_drive_lsm_set_status_info ()

    void
    udisks_drive_lsm_set_status_info (UDisksDriveLSM *object,
                                      const gchar *value);

Sets the "StatusInfo" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksDriveLSM. |
value | The value to set. |

Since: 2.3.0

### udisks_drive_lsm_skeleton_new ()

    UDisksDriveLSM *
    udisks_drive_lsm_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Drive.LSM.

#### Returns

The skeleton object.

[transfer full][type UDisksDriveLSMSkeleton]

Since: 2.3.0

## Types and Values

### UDisksDriveLSM

    typedef struct _UDisksDriveLSM UDisksDriveLSM;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Drive.LSM.

Since: 2.3.0

### struct UDisksDriveLSMProxy

    struct UDisksDriveLSMProxy {
    };

The UDisksDriveLSMProxy structure contains only private data and should only be accessed using the provided API.

Since: 2.3.0

### struct UDisksDriveLSMProxyClass

    struct UDisksDriveLSMProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksDriveLSMProxy.

#### Members

Since: 2.3.0

### struct UDisksDriveLSMSkeleton

    struct UDisksDriveLSMSkeleton {
    };

The UDisksDriveLSMSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 2.3.0

### struct UDisksDriveLSMSkeletonClass

    struct UDisksDriveLSMSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksDriveLSMSkeleton.

#### Members

Since: 2.3.0